UiPath Documentation
test-cloud
latest
false

Test Cloud-API-Handbuch

Letzte Aktualisierung 5. Mai 2026

Bulk Resolve Directory Entities by Name

Resolves multiple directory entities by their names in a single request, based on the organization ID. All entities in the request must be of the same type.

API-Endpunkt

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolveByName/{partitionGlobalId}

Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:

Cloud PlatformZugriffs-URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud Public Sectorhttps://govcloud.uipath.us/
Test Cloud Dedicated.https://{customURL}.dedicated.uipath.com/

Scopes

Folgende Scopes sind erforderlich:

  • PM.Directory

Anforderungsheader

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:

Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.

Pfadparameter

PfadparameterDatentypBeschreibung
partitionGlobalId (erforderlich)String (GUID)The ID of the organization to resolve the entities within.

Anforderungstext

The request body specifies the entity names to resolve. Unlike BulkResolve, all entities must be of the same type.

{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
EigenschaftenDatentypBeschreibung
entityNames (erforderlich)Array of stringsThe names of the directory entities to resolve (e.g., email addresses for users, group names for groups).
entityType (erforderlich)StringThe type of all entities in the request. Valid values: User, Group, Application.
scope (optional)StringOptional scope for active directory entities.

Antworten

200 OK

Returns a dictionary mapping each entity name to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}

400 Ungültige Anforderung

Returned when required parameters are missing or invalid.

Beispielanforderung

Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'

Hier ist der Antworttext für einen erfolgreichen Aufruf:

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
  • API-Endpunkt
  • Scopes
  • Anforderungsheader
  • Pfadparameter
  • Anforderungstext
  • Antworten
  • 200 OK
  • 400 Ungültige Anforderung
  • Beispielanforderung

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben